Summary: A blogging application with bells and whistles, written using Django
Name:    python-banjo
Version: 0.9beta
Release: 4.2
License: BSD
Group:   Development/Libraries
URL:     http://getbanjo.com/
Source:  banjo-%{version}-source.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: python-devel
Requires: python-django-admin_plugins python-django-atompub python-django-evolution python-satchmo python-django-threaded_multihost python-django-xmlrpc python-iso8601
%py_requires

%description
Banjo has a number of features not found all-together in any other Django blogging application: 
* Integrated caching, heavily used throughout the system. This lightens the load on your server, and makes serving pages much much faster than most blogging apps. 
* Skinning is built in. You can serve different skins, or change skins on the fly at any time, with all images, javascript and CSS automatically being served from the proper location for the skin. 
* Multiblog capable from the start. You can have multiple blogs, each with its own skin. The blogs can be served from unique domain names, from subdirectories, or from subdomains with equal ease, without special configuration, all from one installation. 
* Trackback and Pingback support is built in. 
* You can use standard blogging tools such as Ecto, Mars Edit or ScribeFire to post to the blog.

%prep

%setup -q -n banjo

%build

%install
mkdir -p $RPM_BUILD_ROOT%{py_sitedir}
chmod -R a-x banjo/blog/templates/comments/*.html banjo/common/templates/registration/*.html
cp -R banjo $RPM_BUILD_ROOT%{py_sitedir}

%clean

%{__rm} -rf %{buildroot}

%files

%defattr(-, root, root, 0755)
%{py_sitedir}*

%changelog
* Sun Sep 7 2008 - Peter Nixon
- first build
